const express = require('express');
const bodyParser = require('body-parser');
const routes = require('../DVR-Backend/routes/route');
//const routes = require('../DVR-BACKEND/routes/route');

const app = express();
const cors= require('cors');
const port = process.env.PORT || 9000;

app.use(bodyParser.urlencoded({ extended: false }));

app.use(express.json());
app.use(express.urlencoded({
  extended: true
}));

app.use(cors())
app.use('/', routes);

app.all('/*', function (req, res, next) {
  res.header("Access-Control-Allow-Origin", "*");
  res.header("Access-Control-Allow-Methods", "*");
  res.header("Access-Control-Allow-Headers", "*");
  next();
});




app.listen(port, () => {
  console.log(` listening port at http://localhost:${port}`)
});
